Debian Bug report logs - #622363
transition: libnotify 0.7

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Laurent Bigonville <bigon@debian.org>

Date: Tue, 12 Apr 2011 14:33:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Tue, 12 Apr 2011 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 12 Apr 2011 14:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: submit@bugs.debian.org
Cc: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: transition: libnotify 0.7
Date: Tue, 12 Apr 2011 16:28:00 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

We would like to perform the transition from libnotify1 to libnotify4.

This transition will requires sourcefull uploads as there is a (minimal) API change.

libnotify 0.7 is already present in experimental.

Cheers

Laurent Bigonville


bzcat Sources.bz2 |grep-dctrl -s Package -F Build-Depends libnotify-dev|cut -d: -f2|sort -u
 alarm-clock
 alarm-clock-applet
 ario
 awn-extras-applets
 balsa
 bognor-regis
 boinc
 brasero
 claws-mail-extra-plugins
 collectd
 deja-dup
 dhcpcd-ui
 eiskaltdcpp
 ekiga
 empathy
 enigmail
 epiphany-browser
 evolution
 exo
 florence
 flush
 gir-repository
 gnoemoe
 gnome-applets
 gnome-bluetooth
 gnome-color-manager
 gnome-disk-utility
 gnome-mount
 gnome-mplayer
 gnome-packagekit
 gnome-power-manager
 gnome-settings-daemon
 gnome-user-share
 gnunet-gtk
 gnunet-qt
 goobox
 gsql
 gwget2
 hornsey
 icedove
 iceowl
 instantbird
 ipwatchd-gnotify
 ircp-tray
 java-gnome
 kerneloops
 krb5-auth-dialog
 libgtk2-notify-perl
 libnotifymm
 liferea
 lxmusic
 mail-notification
 mango-lassi
 midori
 minbar
 modest
 muine
 network-manager-applet
 notification-daemon
 notify-osd
 notify-python
 openfetion
 orage
 osmo
 padevchooser
 parole
 pidgin-libnotify
 pino
 pomodoro-applet
 psensor
 rhythmbox
 salasaga
 seahorse
 seahorse-plugins
 sensors-applet
 sflphone
 synce-trayicon
 syncevolution
 syncmaildir
 systemd
 tracker
 transmission
 twitux
 uget
 update-notifier
 vagalume
 vino
 vlc
 xchat-gnome
 xfce4-power-manager
 xfce4-sensors-plugin
 xfce4-settings
 xfce4-volumed
 xneur
 zenity




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Tue, 12 Apr 2011 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 12 Apr 2011 16:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 622363@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 622363@bugs.debian.org
Cc: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, pkg-xfce-devel@lists.alioth.debian.org
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Tue, 12 Apr 2011 18:19:15 +0200
On mar., 2011-04-12 at 16:28 +0200, Laurent Bigonville wrote:
> 
> We would like to perform the transition from libnotify1 to libnotify4.
> 
> This transition will requires sourcefull uploads as there is a
> (minimal) API change.

Note that some packages might already have some #ifdefs to manage it and
thus binNMUs might be enough for them.

For Xfce though, I'm not so sure the 4.6 supports libnotify7, while 4.8
should be mostly ok.

Regards,
-- 
Yves-Alexis





Added blocking bug(s) of 622363: 619874 Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Tue, 12 Apr 2011 19:51:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Tue, 12 Apr 2011 20:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 12 Apr 2011 20:03:06 GMT) Full text and rfc822 format available.

Message #17 received at 622363@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Yves-Alexis Perez <corsac@debian.org>, 622363@bugs.debian.org
Cc: Laurent Bigonville <bigon@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, pkg-xfce-devel@lists.alioth.debian.org
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Tue, 12 Apr 2011 21:50:44 +0200
block 622363 with 619874
thanks

On 04/12/2011 06:19 PM, Yves-Alexis Perez wrote:
> On mar., 2011-04-12 at 16:28 +0200, Laurent Bigonville wrote:
>>
>> We would like to perform the transition from libnotify1 to libnotify4.
>>
>> This transition will requires sourcefull uploads as there is a
>> (minimal) API change.
>
> Note that some packages might already have some #ifdefs to manage it and
> thus binNMUs might be enough for them.
>
> For Xfce though, I'm not so sure the 4.6 supports libnotify7, while 4.8
> should be mostly ok.
>

Let's mark #619874 as a blocker for this transition then (as a reminder).

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Sun, 15 May 2011 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 15 May 2011 09:30:07 GMT) Full text and rfc822 format available.

Message #22 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 622363@bugs.debian.org
Cc: submit@bugs.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Sun, 15 May 2011 11:26:24 +0200
On Tue, Apr 12, 2011 at 16:28:00 +0200, Laurent Bigonville wrote:

> We would like to perform the transition from libnotify1 to libnotify4.
> 
> This transition will requires sourcefull uploads as there is a
> (minimal) API change.
> 
That's not good.  If the packages can be made to support both APIs with
the same source as Yves-Alexis mentioned, that should happen first, to
keep the number of sourceful uploads to a minimum for the actual
transition.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Sun, 15 May 2011 09:30:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 15 May 2011 09:30:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Wed, 25 May 2011 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 25 May 2011 13:12:03 GMT) Full text and rfc822 format available.

Message #32 received at 622363@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: 622363@bugs.debian.org
Cc: Laurent Bigonville <bigon@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Wed, 25 May 2011 15:08:39 +0200
On 15/05/2011 11:26, Julien Cristau wrote:
> On Tue, Apr 12, 2011 at 16:28:00 +0200, Laurent Bigonville wrote:
> 
>> We would like to perform the transition from libnotify1 to libnotify4.
>>
>> This transition will requires sourcefull uploads as there is a
>> (minimal) API change.
>>
> That's not good.  If the packages can be made to support both APIs with
> the same source as Yves-Alexis mentioned, that should happen first, to
> keep the number of sourceful uploads to a minimum for the actual
> transition.
> 

@Laurent: Do you know already which packages will need a sourceful upload?
Reporting bugs against those and user-tagging the reports would help to
see what's needed.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
mehdi@{dogguy.org,debian.org}




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Wed, 08 Jun 2011 22:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 08 Jun 2011 22:09:08 GMT) Full text and rfc822 format available.

Message #37 received at 622363@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Mehdi Dogguy <mehdi@debian.org>
Cc: 622363@bugs.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Thu, 9 Jun 2011 00:07:02 +0200
Le Wed, 25 May 2011 15:08:39 +0200,
Mehdi Dogguy <mehdi@debian.org> a écrit :

> @Laurent: Do you know already which packages will need a sourceful
> upload? Reporting bugs against those and user-tagging the reports
> would help to see what's needed.

During the weekend I've rebuilt all the packages that are depending
against libnotify-dev. 70 over the 98 packages I've tried FTBFS... I've
not looked at the build logs deeply, but I don't think all the FTBFS
are related to libnotify transition, but still this transition will
requires some sourceful uploads.

I've uploaded the buildlog here:
http://people.debian.org/~bigon/libnotify0.7_rebuildlog/

Cheers

Laurent Bigonville




Added blocking bug(s) of 622363: 630300, 630266, 630281, 630294, 630265, 630302, 630312, 630283, 630277, 630307, 630279, 630295, 630298, 630289, 630264, 630311, 630278, 630272, 630263, 630287, 630276, 630303, 630286, 630305, 630309, 630280, 630260, 630259, 630284, 630310, 630261, 630273, 630291, 630293, 630282, 630262, 630275, 630301, 630267, 630285, 630304, 630292, 630288, 630297, 630306, 630290, 630269, 630308, 630271, 630296, 630274, 630299, 630268, and 630270 Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Sun, 12 Jun 2011 19:51:08 GMT) Full text and rfc822 format available.

Added indication that bug 622363 blocks 630275 Request was from Matthias Klumpp <matthias@nlinux.org> to control@bugs.debian.org. (Sun, 12 Jun 2011 19:57:04 GMT) Full text and rfc822 format available.

Removed indication that bug 622363 blocks 630275 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 13 Jun 2011 08:49:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Thu, 16 Jun 2011 12:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Jun 2011 12:09:28 GMT) Full text and rfc822 format available.

Message #48 received at 622363@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 622363@bugs.debian.org
Cc: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Thu, 16 Jun 2011 14:07:29 +0200
Hello,

Sorry for the delay in getting back to you.

On 09/06/2011 00:07, Laurent Bigonville wrote:
> Le Wed, 25 May 2011 15:08:39 +0200,
> Mehdi Dogguy <mehdi@debian.org> a écrit :
> 
>> @Laurent: Do you know already which packages will need a sourceful
>> upload? Reporting bugs against those and user-tagging the reports
>> would help to see what's needed.
> 
> During the weekend I've rebuilt all the packages that are depending
> against libnotify-dev. 70 over the 98 packages I've tried FTBFS... I've
> not looked at the build logs deeply, but I don't think all the FTBFS
> are related to libnotify transition, but still this transition will
> requires some sourceful uploads.
> 

That's ~70% of involved packages. It's a bit high, IMHO. Can you please
report bugs against those packages with severity:important (for those
failing specifically because of libnotify 0.7) and usertag them?

AFAICS, some of them are already reported, and only need appropriate
tagging. Identifying packages that are not in testing, or that can be
easily removed (temporarily) from testing would help too.

Once the number of failures is significantly reduced, we can probably
start the transition. But, it seems a no-go for now since it would imply a
lot of work on both sides, potentially a longer transition (thus, blocking
other transitions), and doesn't seem worthy.

Kind regards,

-- 
Mehdi Dogguy مهدي الدڤي
mehdi@{dogguy.org,debian.org}




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Thu, 16 Jun 2011 12:28:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Jun 2011 12:28:33 GMT) Full text and rfc822 format available.

Message #53 received at 622363@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: 622363@bugs.debian.org
Cc: Laurent Bigonville <bigon@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Thu, 16 Jun 2011 14:24:02 +0200
On 16/06/2011 14:07, Mehdi Dogguy wrote:
> 
> That's ~70% of involved packages. It's a bit high, IMHO. Can you please
> report bugs against those packages with severity:important (for those
> failing specifically because of libnotify 0.7) and usertag them?
> 
> AFAICS, some of them are already reported, and only need appropriate
> tagging. Identifying packages that are not in testing, or that can be
> easily removed (temporarily) from testing would help too.
> 

hum… thanks to jcristau who helped me to open my eyes. The bugs are
reported and marked as blockers of this bug. :) They need fixing only now.
Enjoy!

Kind regards,

-- 
Mehdi Dogguy مهدي الدڤي
mehdi@{dogguy.org,debian.org}




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Thu, 16 Jun 2011 12:39:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Jun 2011 12:39:20 GMT) Full text and rfc822 format available.

Message #58 received at 622363@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Laurent Bigonville <bigon@debian.org>, 622363@bugs.debian.org
Cc: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Thu, 16 Jun 2011 14:36:22 +0200
Laurent Bigonville <bigon@debian.org> wrote:
> 
> I've uploaded the buildlog here:
> http://people.debian.org/~bigon/libnotify0.7_rebuildlog/
> 

FTR:

http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=pkg-gnome-maintainers@lists.alioth.debian.org;tag=libnotify0.7-transition

-- 
Mehdi Dogguy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Thu, 21 Jul 2011 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 21 Jul 2011 16:30:03 GMT) Full text and rfc822 format available.

Message #63 received at 622363@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 622363@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Thu, 21 Jul 2011 18:28:30 +0200
[Message part 1 (text/plain, inline)]
Hi!

In order to get a fix for deja-dup in the next stable release [1], a
newer version needs to land in unstable first. But it is not possible
until libnotify0.7 itself is uploaded there. So I have done some work to
move this transition forward.

On Thu, Jun 16, 2011 at 02:36:22PM +0200, Mehdi Dogguy wrote:
> FTR:
> 
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=pkg-gnome-maintainers@lists.alioth.debian.org;tag=libnotify0.7-transition

On this page you can see that the current situation now mostly is:

 * patch submitted, waiting for maintainer to upload,
 * newer upstream ready to be packaged,
 * issue already fixed in experimental.

A few packages are affected by other major issues so I did not bother to
comment.

Hope that this will help to move the transition forward.

[1] http://lists.debian.org/debian-release/2011/07/msg00245.html

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Sat, 30 Jul 2011 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Jul 2011 21:21:05 GMT) Full text and rfc822 format available.

Message #68 received at 622363@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 622363@bugs.debian.org
Cc: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Sat, 30 Jul 2011 23:18:33 +0200
tag 622363 pending
kthxbye

On Tue, Apr 12, 2011 at 16:28:00 +0200, Laurent Bigonville wrote:

> We would like to perform the transition from libnotify1 to libnotify4.
> 
Let's go ahead with this.

Cheers,
Julien




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 30 Jul 2011 21:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Sun, 31 Jul 2011 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Jul 2011 10:24:07 GMT) Full text and rfc822 format available.

Message #75 received at 622363@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: debian-release@lists.debian.org
Cc: 622363@bugs.debian.org
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Sun, 31 Jul 2011 12:21:26 +0200
Le Sat, 30 Jul 2011 23:18:33 +0200,
Julien Cristau <jcristau@debian.org> a écrit :

> Let's go ahead with this.

Alright,

So here a first list of packages that can be binNMU'ed (their transition
bug is marked as closed in unstable):

nmu alarm-clock-applet_0.3.2-1 gnunet-gtk_0.8.1a-3 . ALL -i386 . -m 'Rebuild against libnotify4'
nmu ario_1.5.1-1 balsa_2.4.10-2 dhcpcd-ui_0.5.2-1 ekiga_3.2.7-4 flush_0.9.10-1 gnome-mplayer_1.0.4-1 ipwatchd-gnotify_1.0.1-1 ircp-tray_0.7.6-1 mango-lassi_001+dfsg-4 osmo_0.2.10+svn922-2 pidgin-libnotify_0.14-5 salasaga_0.8.0~alpha7-2 vagalume_0.8.5-1 xfce4-power-manager_1.0.10-4 xfce4-sensors-plugin_1.2.3-1 . ALL . -m 'Rebuild against libnotify4'
dw alarm-clock-applet_0.3.2-1 gnunet-gtk_0.8.1a-3 . ALL -i386 . -m 'libnotify-dev (>= 0.7)'
dw ario_1.5.1-1 balsa_2.4.10-2 dhcpcd-ui_0.5.2-1 ekiga_3.2.7-4 flush_0.9.10-1 gnome-mplayer_1.0.4-1 ipwatchd-gnotify_1.0.1-1 ircp-tray_0.7.6-1 mango-lassi_001+dfsg-4 osmo_0.2.10+svn922-2 pidgin-libnotify_0.14-5 salasaga_0.8.0~alpha7-2 vagalume_0.8.5-1 xfce4-power-manager_1.0.10-4 xfce4-sensors-plugin_1.2.3-1 . ALL . -m 'libnotify-dev (>= 0.7)'

Let's hope the format is OK.

Cheers

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Sun, 31 Jul 2011 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Jul 2011 10:45:11 GMT) Full text and rfc822 format available.

Message #80 received at 622363@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 622363@bugs.debian.org
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Sun, 31 Jul 2011 12:40:19 +0200
On Sun, Jul 31, 2011 at 12:21:26 +0200, Laurent Bigonville wrote:

> Le Sat, 30 Jul 2011 23:18:33 +0200,
> Julien Cristau <jcristau@debian.org> a écrit :
> 
> > Let's go ahead with this.
> 
> Alright,
> 
> So here a first list of packages that can be binNMU'ed (their transition
> bug is marked as closed in unstable):
> 
> nmu alarm-clock-applet_0.3.2-1 gnunet-gtk_0.8.1a-3 . ALL -i386 . -m 'Rebuild against libnotify4'
> nmu ario_1.5.1-1 balsa_2.4.10-2 dhcpcd-ui_0.5.2-1 ekiga_3.2.7-4 flush_0.9.10-1 gnome-mplayer_1.0.4-1 ipwatchd-gnotify_1.0.1-1 ircp-tray_0.7.6-1 mango-lassi_001+dfsg-4 osmo_0.2.10+svn922-2 pidgin-libnotify_0.14-5 salasaga_0.8.0~alpha7-2 vagalume_0.8.5-1 xfce4-power-manager_1.0.10-4 xfce4-sensors-plugin_1.2.3-1 . ALL . -m 'Rebuild against libnotify4'
> dw alarm-clock-applet_0.3.2-1 gnunet-gtk_0.8.1a-3 . ALL -i386 . -m 'libnotify-dev (>= 0.7)'
> dw ario_1.5.1-1 balsa_2.4.10-2 dhcpcd-ui_0.5.2-1 ekiga_3.2.7-4 flush_0.9.10-1 gnome-mplayer_1.0.4-1 ipwatchd-gnotify_1.0.1-1 ircp-tray_0.7.6-1 mango-lassi_001+dfsg-4 osmo_0.2.10+svn922-2 pidgin-libnotify_0.14-5 salasaga_0.8.0~alpha7-2 vagalume_0.8.5-1 xfce4-power-manager_1.0.10-4 xfce4-sensors-plugin_1.2.3-1 . ALL . -m 'libnotify-dev (>= 0.7)'
> 
Scheduled (without the dep-waits since libnotify4 seems to be available
everywhere).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Sun, 31 Jul 2011 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Jul 2011 19:33:03 GMT) Full text and rfc822 format available.

Message #85 received at 622363@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: debian-release@lists.debian.org
Cc: 622363@bugs.debian.org
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Sun, 31 Jul 2011 21:28:54 +0200
Le Sun, 31 Jul 2011 12:21:26 +0200,
Laurent Bigonville <bigon@debian.org> a écrit :

> Le Sat, 30 Jul 2011 23:18:33 +0200,
> Julien Cristau <jcristau@debian.org> a écrit :
> 
> > Let's go ahead with this.
> 
> Alright,
> 
> So here a first list of packages that can be binNMU'ed (their
> transition bug is marked as closed in unstable):

And here a second batch of binNMU:

nmu eiskaltdcpp_2.2.3-1 florence_0.5.0-3 linuxdcpp_1.1.0-1 mail-notification_5.4.dfsg.1-2.4 midori_0.3.6-2 openfetion_2.2.1-2 orage_4.8.1-2 parole_0.2.0.6-1 pcmanx-gtk2_1.0-2 postler_0.1.1-1 psensor_0.6.1.9-2 steadyflow_0.1.7-2 synapse_0.2.6-1 thunar_1.2.2-1 thunar-volman_0.6.0-4 uget_1.8.0-1 vlc_1.1.11-2 xchat-gnome_0.30.0~git20100421.29cc76-1 xfce4-places-plugin_1.2.0-3 xfce4-settings_4.8.2-2 xfce4-volumed_0.1.13-2 xfdesktop4_4.8.2-1 . ALL . -m 'Rebuild against libnotify4'

Thanks

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Mon, 01 Aug 2011 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Aug 2011 00:03:03 GMT) Full text and rfc822 format available.

Message #90 received at 622363@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 622363@bugs.debian.org
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Mon, 1 Aug 2011 01:58:54 +0200
On Sun, Jul 31, 2011 at 21:28:54 +0200, Laurent Bigonville wrote:

> nmu eiskaltdcpp_2.2.3-1 florence_0.5.0-3 linuxdcpp_1.1.0-1 mail-notification_5.4.dfsg.1-2.4 midori_0.3.6-2 openfetion_2.2.1-2 orage_4.8.1-2 parole_0.2.0.6-1 pcmanx-gtk2_1.0-2 postler_0.1.1-1 psensor_0.6.1.9-2 steadyflow_0.1.7-2 synapse_0.2.6-1 thunar_1.2.2-1 thunar-volman_0.6.0-4 uget_1.8.0-1 vlc_1.1.11-2 xchat-gnome_0.30.0~git20100421.29cc76-1 xfce4-places-plugin_1.2.0-3 xfce4-settings_4.8.2-2 xfce4-volumed_0.1.13-2 xfdesktop4_4.8.2-1 . ALL . -m 'Rebuild against libnotify4'

All scheduled, thanks.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Mon, 01 Aug 2011 17:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Aug 2011 17:39:10 GMT) Full text and rfc822 format available.

Message #95 received at 622363@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Julien Cristau <jcristau@debian.org>, 622363@bugs.debian.org
Cc: Laurent Bigonville <bigon@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Mon, 01 Aug 2011 19:35:31 +0200
[Message part 1 (text/plain, inline)]
On sam., 2011-07-30 at 23:18 +0200, Julien Cristau wrote:
> tag 622363 pending
> kthxbye
> 
> On Tue, Apr 12, 2011 at 16:28:00 +0200, Laurent Bigonville wrote:
> 
> > We would like to perform the transition from libnotify1 to libnotify4.
> > 
> Let's go ahead with this.
> 

As added on #630268, evolution 3.0 works with libnotify 0.7 but it needs
libgdata from experimental, not sure if it's supposed to happen soon (I
didn't really touch 3.x branch at all). I can try to build evolution
2.32 against libnotify 0.7 (iirc there are a bunch of #ifdefs enabling
it when built against GTK+ 3) but I can't promise anything. Maybe GNOME
people have more idea about the gdata stuff?

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Mon, 01 Aug 2011 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Aug 2011 20:15:03 GMT) Full text and rfc822 format available.

Message #100 received at 622363@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 622363@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Laurent Bigonville <bigon@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Mon, 01 Aug 2011 22:11:35 +0200
[Message part 1 (text/plain, inline)]
On lun., 2011-08-01 at 19:35 +0200, Yves-Alexis Perez wrote:
> As added on #630268, evolution 3.0 works with libnotify 0.7 but it needs
> libgdata from experimental, not sure if it's supposed to happen soon (I
> didn't really touch 3.x branch at all). I can try to build evolution
> 2.32 against libnotify 0.7 (iirc there are a bunch of #ifdefs enabling
> it when built against GTK+ 3) but I can't promise anything. Maybe GNOME
> people have more idea about the gdata stuff?

I've tried to build evolution 2.32 with --enable-gtk3=yes. It required
an evolution-data-server with --enable-gtk3 and (I guess) gtkhtml too.
The latter ftbfs with --enable-gtk3 on 'error: unknown type GdkGC' and
the former with 'error: GDK_Delete undeclared'

So it doesn't look really good, I guess those were fixed somehow in 3.0
branch, but as 2.32 is starting to be a bit old, I'm not really sure
there's much support on that, and especially not on --enable-gtk3=yes.

I'll try a bit more tomorrow, but I guess that means entangling to that
evolution transition (or removing evolution from testing, but that might
be a nightmare too?)

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Mon, 01 Aug 2011 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sjoerd Simons <sjoerd@luon.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Aug 2011 21:57:03 GMT) Full text and rfc822 format available.

Message #105 received at 622363@bugs.debian.org (full text, mbox):

From: Sjoerd Simons <sjoerd@luon.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 622363@bugs.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Mon, 01 Aug 2011 22:48:47 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2011-08-01 at 22:11 +0200, Yves-Alexis Perez wrote:
> So it doesn't look really good, I guess those were fixed somehow in 3.0
> branch, but as 2.32 is starting to be a bit old, I'm not really sure
> there's much support on that, and especially not on --enable-gtk3=yes.
> 
> I'll try a bit more tomorrow, but I guess that means entangling to that
> evolution transition (or removing evolution from testing, but that might
> be a nightmare too?)

Seems best to patch the current evolution in unstable. Attached is a
patch that makes it compile, but i haven't tested it any further.

Good luck!
-- 
Sjoerd Simons <sjoerd@luon.net>
[evolution-notify0.7.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Mon, 01 Aug 2011 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Aug 2011 22:03:03 GMT) Full text and rfc822 format available.

Message #110 received at 622363@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Sjoerd Simons <sjoerd@luon.net>
Cc: 622363@bugs.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Tue, 02 Aug 2011 00:00:04 +0200
[Message part 1 (text/plain, inline)]
On lun., 2011-08-01 at 22:48 +0100, Sjoerd Simons wrote:
> On Mon, 2011-08-01 at 22:11 +0200, Yves-Alexis Perez wrote:
> > So it doesn't look really good, I guess those were fixed somehow in
> 3.0
> > branch, but as 2.32 is starting to be a bit old, I'm not really sure
> > there's much support on that, and especially not on
> --enable-gtk3=yes.
> > 
> > I'll try a bit more tomorrow, but I guess that means entangling to
> that
> > evolution transition (or removing evolution from testing, but that
> might
> > be a nightmare too?)
> 
> Seems best to patch the current evolution in unstable. Attached is a
> patch that makes it compile, but i haven't tested it any further.
> 

Thanks, but I just uploaded a fixed evolution (with the same patch,
obviously :)

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 622363: 633973 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 02 Aug 2011 06:09:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622363: 636296 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 02 Aug 2011 06:09:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622363: 636297 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 02 Aug 2011 06:09:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622363: 636298 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 02 Aug 2011 06:09:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622363: 636344 Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Tue, 02 Aug 2011 13:27:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622363: 636397 Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Tue, 02 Aug 2011 21:48:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622363: 635724 Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Thu, 04 Aug 2011 10:18:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622363; Package release.debian.org. (Fri, 12 Aug 2011 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 12 Aug 2011 08:57:09 GMT) Full text and rfc822 format available.

Message #129 received at 622363@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 622363@bugs.debian.org
Cc: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Fri, 12 Aug 2011 10:53:39 +0200
block 622363 with 637067
kthxbye

On Sat, Jul 30, 2011 at 23:18:33 +0200, Julien Cristau wrote:

> tag 622363 pending
> kthxbye
> 
> On Tue, Apr 12, 2011 at 16:28:00 +0200, Laurent Bigonville wrote:
> 
> > We would like to perform the transition from libnotify1 to libnotify4.
> > 
> Let's go ahead with this.
> 
A couple of weeks later, it looks like the only blocker left is the
above crasher in notification-daemon.

Cheers,
Julien




Added blocking bug(s) of 622363: 637067 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 12 Aug 2011 09:03:02 GMT) Full text and rfc822 format available.

Added indication that bug 622363 blocks 637195 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 12 Aug 2011 09:03:06 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 16 Aug 2011 06:33:07 GMT) Full text and rfc822 format available.

Notification sent to Laurent Bigonville <bigon@debian.org>:
Bug acknowledged by developer. (Tue, 16 Aug 2011 06:33:08 GMT) Full text and rfc822 format available.

Message #138 received at 622363-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 622363-done@bugs.debian.org
Cc: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#622363: transition: libnotify 0.7
Date: Tue, 16 Aug 2011 08:28:21 +0200
On Tue, Apr 12, 2011 at 16:28:00 +0200, Laurent Bigonville wrote:

> We would like to perform the transition from libnotify1 to libnotify4.
> 
 libnotify |    0.7.3-2 |       testing | source

Closing, thanks for your work on this.

Cheers,
Julien




Bug 637067 cloned as bug 639518. Request was from Vincent Bernat <bernat@luffy.cx> to control@bugs.debian.org. (Sat, 27 Aug 2011 18:42:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Sep 2011 07:36:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:13:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.